GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# pixel_wand

Wand pixel access interfaces

Contents

- ClonePixelWand

- ClonePixelWands

- DestroyPixelWand

- NewPixelWand

- NewPixelWands

- PixelGetException

- PixelGetBlack

- PixelGetBlackQuantum

- PixelGetBlue

- PixelGetBlueQuantum

- PixelGetColorAsString

- PixelGetColorCount

- PixelGetCyan

- PixelGetCyanQuantum

- PixelGetGreen

- PixelGetGreenQuantum

- PixelGetMagenta

- PixelGetMagentaQuantum

- PixelGetOpacity

- PixelGetOpacityQuantum

- PixelGetRed

- PixelGetRedQuantum

- PixelGetYellow

- PixelGetYellowQuantum

- PixelSetBlack

- PixelSetBlackQuantum

- PixelSetBlue

- PixelSetBlueQuantum

- PixelSetColor

- PixelSetColorCount

- PixelSetCyan

- PixelSetCyanQuantum

- PixelSetGreen

- PixelSetGreenQuantum

- PixelSetMagenta

- PixelSetMagentaQuantum

- PixelSetOpacity

- PixelSetOpacityQuantum

- PixelSetQuantumColor

- PixelSetRed

- PixelSetRedQuantum

- PixelSetYellow

- PixelSetYellowQuantum

# ClonePixelWand

## Synopsis

    PixelWand *ClonePixelWand( const PixelWand *wand );

## Description

ClonePixelWand() creates an exact copy of a PixelWand. PixelWand may not be a null pointer.

The format of the ClonePixelWand method is:

    PixelWand *ClonePixelWand( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand to clone.

# ClonePixelWands

## Synopsis

    PixelWand ** ClonePixelWands( const PixelWand ** wands, const unsigned long number_wands );

## Description

ClonePixelWands creates a deep-copy an array of PixelWands.

The format of the ClonePixelWands method is:

    PixelWand ** ClonePixelWands( const PixelWand ** wands, const unsigned long number_wands );

wands:

  The pixel wands to clone.

number_wands:

  The number of wands in the array

# DestroyPixelWand

## Synopsis

    unsigned int DestroyPixelWand( PixelWand *wand );

## Description

DestroyPixelWand() deallocates resources associated with a PixelWand.

The format of the DestroyPixelWand method is:

    unsigned int DestroyPixelWand( PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# NewPixelWand

## Synopsis

    PixelWand NewPixelWand( void );

## Description

NewPixelWand() returns a new pixel wand.

The format of the NewPixelWand method is:

    PixelWand NewPixelWand( void );

# NewPixelWands

## Synopsis

    PixelWand NewPixelWands( const unsigned long number_wands );

## Description

NewPixelWands() returns an array of pixel wands.

The format of the NewPixelWand method is:

    PixelWand NewPixelWands( const unsigned long number_wands );

A description of each parameter follows:

number_wands:

  The number of wands.

# PixelGetException

## Synopsis

    unsigned int PixelGetException( PixelWand *wand, char ** description );

## Description

PixelGetException() returns the severity, reason, and description of any error that occurs when using the pixel wand methods.

The format of the PixelGetException method is:

    unsigned int PixelGetException( PixelWand *wand, char ** description );

A description of each parameter follows:

wand:

  The pixel wand.

description:

  A description of the error.

# PixelGetBlack

## Synopsis

    double PixelGetBlack( const PixelWand *wand );

## Description

PixelGetBlack() returns the normalized black color of the pixel wand.

The format of the PixelGetBlack method is:

    double PixelGetBlack( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetBlackQuantum

## Synopsis

    Quantum PixelGetBlackQuantum( const PixelWand *wand );

## Description

PixelGetBlackQuantum() returns the black color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetBlackQuantum method is:

    Quantum PixelGetBlackQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetBlue

## Synopsis

    double PixelGetBlue( const PixelWand *wand );

## Description

PixelGetBlue(const) returns the normalized blue color of the pixel wand.

The format of the PixelGetBlue method is:

    double PixelGetBlue( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetBlueQuantum

## Synopsis

    Quantum PixelGetBlueQuantum( const PixelWand *wand );

## Description

PixelGetBlueQuantum(const ) returns the blue color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetBlueQuantum method is:

    Quantum PixelGetBlueQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetColorAsString

## Synopsis

    char *PixelGetColorAsString( PixelWand *wand );

## Description

PixelGetColorAsString() gets the color of the pixel wand.

The format of the PixelGetColorAsString method is:

    char *PixelGetColorAsString( PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetColorCount

## Synopsis

    unsigned long PixelGetColorCount( const PixelWand *wand );

## Description

PixelGetColorCount() returns the color count associated with this color.

The format of the PixelGetColorCount method is:

    unsigned long PixelGetColorCount( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetCyan

## Synopsis

    double PixelGetCyan( const PixelWand *wand );

## Description

PixelGetCyan() returns the normalized cyan color of the pixel wand.

The format of the PixelGetCyan method is:

    double PixelGetCyan( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetCyanQuantum

## Synopsis

    Quantum PixelGetCyanQuantum( const PixelWand *wand );

## Description

PixelGetCyanQuantum() returns the cyan color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetCyanQuantum method is:

    Quantum PixelGetCyanQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetGreen

## Synopsis

    double PixelGetGreen( const PixelWand *wand );

## Description

PixelGetGreen(const ) returns the normalized green color of the pixel wand.

The format of the PixelGetGreen method is:

    double PixelGetGreen( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetGreenQuantum

## Synopsis

    Quantum PixelGetGreenQuantum( const PixelWand *wand );

## Description

PixelGetGreenQuantum(const ) returns the green color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetGreenQuantum method is:

    Quantum PixelGetGreenQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetMagenta

## Synopsis

    double PixelGetMagenta( const PixelWand *wand );

## Description

PixelGetMagenta() returns the normalized magenta color of the pixel wand.

The format of the PixelGetMagenta method is:

    double PixelGetMagenta( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetMagentaQuantum

## Synopsis

    Quantum PixelGetMagentaQuantum( const PixelWand *wand );

## Description

PixelGetMagentaQuantum() returns the magenta color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetMagentaQuantum method is:

    Quantum PixelGetMagentaQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetOpacity

## Synopsis

    double PixelGetOpacity( const PixelWand *wand );

## Description

PixelGetOpacity(const ) returns the normalized opacity color of the pixel wand.

The format of the PixelGetOpacity method is:

    double PixelGetOpacity( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetOpacityQuantum

## Synopsis

    Quantum PixelGetOpacityQuantum( const PixelWand *wand );

## Description

PixelGetOpacityQuantum(const ) returns the opacity color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetOpacityQuantum method is:

    Quantum PixelGetOpacityQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetRed

## Synopsis

    double PixelGetRed( const PixelWand *wand );

## Description

PixelGetRed(const ) returns the normalized red color of the pixel wand.

The format of the PixelGetRed method is:

    double PixelGetRed( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetRedQuantum

## Synopsis

    Quantum PixelGetRedQuantum( const PixelWand *wand );

## Description

PixelGetRedQuantum(const ) returns the red color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetRedQuantum method is:

    Quantum PixelGetRedQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetYellow

## Synopsis

    double PixelGetYellow( const PixelWand *wand );

## Description

PixelGetYellow() returns the normalized yellow color of the pixel wand.

The format of the PixelGetYellow method is:

    double PixelGetYellow( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelGetYellowQuantum

## Synopsis

    Quantum PixelGetYellowQuantum( const PixelWand *wand );

## Description

PixelGetYellowQuantum() returns the yellow color of the pixel wand. The color is in the range of [0..MaxRGB]

The format of the PixelGetYellowQuantum method is:

    Quantum PixelGetYellowQuantum( const PixelWand *wand );

A description of each parameter follows:

wand:

  The pixel wand.

# PixelSetBlack

## Synopsis

    unsigned int PixelSetBlack( PixelWand *wand, const double black );

## Description

PixelSetBlack() sets the normalized black color of the pixel wand.

The format of the PixelSetBlack method is:

    unsigned int PixelSetBlack( PixelWand *wand, const double black );

A description of each parameter follows:

wand:

  The pixel wand.

black:

  The black color.

# PixelSetBlackQuantum

## Synopsis

    unsigned int PixelSetBlackQuantum( PixelWand *wand, const Quantum black );

## Description

PixelSetBlackQuantum() sets the black color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetBlackQuantum method is:

    unsigned int PixelSetBlackQuantum( PixelWand *wand, const Quantum black );

wand:

  The pixel wand.

black:

  The black color.

# PixelSetBlue

## Synopsis

    unsigned int PixelSetBlue( PixelWand *wand, const double blue );

## Description

PixelSetBlue() sets the normalized blue color of the pixel wand.

The format of the PixelSetBlue method is:

    unsigned int PixelSetBlue( PixelWand *wand, const double blue );

A description of each parameter follows:

wand:

  The pixel wand.

blue:

  The blue color.

# PixelSetBlueQuantum

## Synopsis

    unsigned int PixelSetBlueQuantum( PixelWand *wand, const Quantum blue );

## Description

PixelSetBlueQuantum() sets the blue color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetBlueQuantum method is:

    unsigned int PixelSetBlueQuantum( PixelWand *wand, const Quantum blue );

A description of each parameter follows:

wand:

  The pixel wand.

blue:

  The blue color.

# PixelSetColor

## Synopsis

    unsigned int PixelSetColor( PixelWand *wand, const char *color );

## Description

PixelSetColor() sets the color of the pixel wand with a string (e.g. "blue", "#0000ff", "rgb(0,0,255)", etc.).

The format of the PixelSetColor method is:

    unsigned int PixelSetColor( PixelWand *wand, const char *color );

A description of each parameter follows:

wand:

  The pixel wand.

color:

  The pixel wand color.

# PixelSetColorCount

## Synopsis

    unsigned int PixelSetColorCount( PixelWand *wand, const unsigned long count );

## Description

PixelSetColorCount() sets the color count of the pixel wand.

The format of the PixelSetColorCount method is:

    unsigned int PixelSetColorCount( PixelWand *wand, const unsigned long count );

wand:

  The pixel wand.

count:

  The number of this particular color.

# PixelSetCyan

## Synopsis

    unsigned int PixelSetCyan( PixelWand *wand, const double cyan );

## Description

PixelSetCyan() sets the normalized cyan color of the pixel wand.

The format of the PixelSetCyan method is:

    unsigned int PixelSetCyan( PixelWand *wand, const double cyan );

A description of each parameter follows:

wand:

  The pixel wand.

cyan:

  The cyan color.

# PixelSetCyanQuantum

## Synopsis

    unsigned int PixelSetCyanQuantum( PixelWand *wand, const Quantum cyan );

## Description

PixelSetCyanQuantum() sets the cyan color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetCyanQuantum method is:

    unsigned int PixelSetCyanQuantum( PixelWand *wand, const Quantum cyan );

A description of each parameter follows:

wand:

  The pixel wand.

cyan:

  The cyan color.

# PixelSetGreen

## Synopsis

    unsigned int PixelSetGreen( PixelWand *wand, const double green );

## Description

PixelSetGreen() sets the normalized green color of the pixel wand.

The format of the PixelSetGreen method is:

    unsigned int PixelSetGreen( PixelWand *wand, const double green );

A description of each parameter follows:

wand:

  The pixel wand.

green:

  The green color.

# PixelSetGreenQuantum

## Synopsis

    unsigned int PixelSetGreenQuantum( PixelWand *wand, const Quantum green );

## Description

PixelSetGreenQuantum() sets the green color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetGreenQuantum method is:

    unsigned int PixelSetGreenQuantum( PixelWand *wand, const Quantum green );

A description of each parameter follows:

wand:

  The pixel wand.

green:

  The green color.

# PixelSetMagenta

## Synopsis

    unsigned int PixelSetMagenta( PixelWand *wand, const double magenta );

## Description

PixelSetMagenta() sets the normalized magenta color of the pixel wand.

The format of the PixelSetMagenta method is:

    unsigned int PixelSetMagenta( PixelWand *wand, const double magenta );

A description of each parameter follows:

wand:

  The pixel wand.

magenta:

  The magenta color.

# PixelSetMagentaQuantum

## Synopsis

    unsigned int PixelSetMagentaQuantum( PixelWand *wand, const Quantum magenta );

## Description

PixelSetMagentaQuantum() sets the magenta color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetMagentaQuantum method is:

    unsigned int PixelSetMagentaQuantum( PixelWand *wand, const Quantum magenta );

wand:

  The pixel wand.

magenta:

  The magenta color.

# PixelSetOpacity

## Synopsis

    unsigned int PixelSetOpacity( PixelWand *wand, const double opacity );

## Description

PixelSetOpacity() sets the normalized opacity color of the pixel wand.

The format of the PixelSetOpacity method is:

    unsigned int PixelSetOpacity( PixelWand *wand, const double opacity );

A description of each parameter follows:

wand:

  The pixel wand.

opacity:

  The opacity value.

# PixelSetOpacityQuantum

## Synopsis

    unsigned int PixelSetOpacityQuantum( PixelWand *wand, const Quantum opacity );

## Description

PixelSetOpacityQuantum() sets the opacity color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetOpacityQuantum method is:

    unsigned int PixelSetOpacityQuantum( PixelWand *wand, const Quantum opacity );

wand:

  The pixel wand.

opacity:

  The opacity value.

# PixelSetQuantumColor

## Synopsis

    PixelSetQuantumColor( PixelWand *wand, PixelPacket *color );

## Description

PixelSetQuantumColor() sets the color of the pixel wand.

The format of the PixelSetQuantumColor method is:

    PixelSetQuantumColor( PixelWand *wand, PixelPacket *color );

A description of each parameter follows:

wand:

  The pixel wand.

color:

  The pixel wand color (expressed as a PixelPacket).

# PixelSetRed

## Synopsis

    unsigned int PixelSetRed( PixelWand *wand, const double red );

## Description

PixelSetRed() sets the normalized red color of the pixel wand.

The format of the PixelSetRed method is:

    unsigned int PixelSetRed( PixelWand *wand, const double red );

A description of each parameter follows:

wand:

  The pixel wand.

red:

  The red color.

# PixelSetRedQuantum

## Synopsis

    unsigned int PixelSetRedQuantum( PixelWand *wand, const Quantum red );

## Description

PixelSetRedQuantum() sets the red color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetRedQuantum method is:

    unsigned int PixelSetRedQuantum( PixelWand *wand, const Quantum red );

A description of each parameter follows:

wand:

  The pixel wand.

red:

  The red color.

# PixelSetYellow

## Synopsis

    unsigned int PixelSetYellow( PixelWand *wand, const double yellow );

## Description

PixelSetYellow() sets the normalized yellow color of the pixel wand.

The format of the PixelSetYellow method is:

    unsigned int PixelSetYellow( PixelWand *wand, const double yellow );

A description of each parameter follows:

wand:

  The pixel wand.

yellow:

  The yellow color.

# PixelSetYellowQuantum

## Synopsis

    unsigned int PixelSetYellowQuantum( PixelWand *wand, const Quantum yellow );

## Description

PixelSetYellowQuantum() sets the yellow color of the pixel wand. The color must be in the range of [0..MaxRGB]

The format of the PixelSetYellowQuantum method is:

    unsigned int PixelSetYellowQuantum( PixelWand *wand, const Quantum yellow );

A description of each parameter follows:

wand:

  The pixel wand.

yellow:

  The yellow color.

Copyright © GraphicsMagick Group 2002 - 2024